// wmwsdlclient.idl : IDL source for wmwsdlclient
//

// This file will be processed by the MIDL tool to
// produce the type library (wmwsdlclient.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(D2B59FE4-095C-4A16-BF90-DF649C5EC21E),
	dual,
	nonextensible,
	helpstring("Iwmwsdlclient2 Interface"),
	pointer_default(unique)
]
interface Iwmwsdlclient2 : IDispatch{
	[id(1), helpstring("method ReadServiceDesc")] HRESULT ReadServiceDesc([in] BSTR bstrSvcName, [in] BSTR bstrPortName, [in] BSTR bstrFileURL, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method GetMethodSOAPAction")] HRESULT GetMethodSOAPAction([in] BSTR bstrMethod, [out] BSTR *bstrSOAPAction, [out, retval] VARIANT_BOOL *pResult);
	[id(3), helpstring("method GetMethodNamespaceURI")] HRESULT GetMethodNamespaceURI([in] BSTR bstrMethod, [out] BSTR *bstrMethodNS, [out, retval] VARIANT_BOOL *pResult);
	[id(4), helpstring("method GetSOAPAddress")] HRESULT GetSOAPAddress([out] BSTR *bstrHost, [out] BSTR *bstrURI, [out] int *nPortNbr, [out, retval] VARIANT_BOOL *pResult);
	[id(5), helpstring("method GetSOAPInputBodyUse")] HRESULT GetSOAPInputBodyUse([in] BSTR bstrOpName, [out] BSTR *bstrUse, [out, retval] VARIANT_BOOL *pResult);
	[id(6), helpstring("method GetSOAPOutputBodyUse")] HRESULT GetSOAPOutputBodyUse([in] BSTR bstrOpName, [out] BSTR *bstrUse, [out, retval] VARIANT_BOOL *pResult);
	[id(7), helpstring("method GetSOAPInputBodyEncStyle")] HRESULT GetSOAPInputBodyEncStyle([in] BSTR bstrOpName, [out] BSTR *bstrEncStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(8), helpstring("method GetSOAPOutputBodyEncStyle")] HRESULT GetSOAPOutputBodyEncStyle([in] BSTR bstrOpName, [out] BSTR *bstrEncStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(9), helpstring("method GetSOAPBindingStyle")] HRESULT GetSOAPBindingStyle([out] BSTR *bstrStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(10), helpstring("method GetSOAPBindingTransport")] HRESULT GetSOAPBindingTransport([out] BSTR *bstrTransport, [out, retval] VARIANT_BOOL *pResult);
	[id(11), helpstring("method GetMethodNamesBySOAPAction")] HRESULT GetMethodNamesBySOAPAction([in] BSTR bstrSOAPAction, [out] BSTR *bstrMethod, [out] BSTR *bstrMethodNS, [out, retval] VARIANT_BOOL *pResult);
	[id(12), helpstring("method IsMethodParam")] HRESULT IsMethodParam([in] BSTR bstrMethod, [in] BSTR bstrParam, [out, retval] VARIANT_BOOL *pResult);
	[id(13), helpstring("method GetInputMsgPartType")] HRESULT GetInputMsgPartType([in] BSTR bstrMethod, [in] BSTR bstrPartName, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(14), helpstring("method GetOutputMsgPartType")] HRESULT GetOutputMsgPartType([in] BSTR bstrMethod, [in] BSTR bstrPartName, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(15), helpstring("method IsInputMsgPart")] HRESULT IsInputMsgPart([in] BSTR bstrMethod, [in] BSTR bstrPartName, [out, retval] VARIANT_BOOL *pResult);
	[id(16), helpstring("method IsOutputMsgPart")] HRESULT IsOutputMsgPart([in] BSTR bstrMethod, [in] BSTR bstrPartName, [out, retval] VARIANT_BOOL *pResult);
	[id(17), helpstring("method GetFirstInParamName")] HRESULT GetFirstInParamName([in] BSTR bstrMethod, [out] BSTR *bstrName, [out] long *lPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(18), helpstring("method GetNextInParamName")] HRESULT GetNextInParamName([in] BSTR bstrMethod, [out] BSTR *bstrName, [in, out] long *lPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(19), helpstring("method GetFirstOutParamName")] HRESULT GetFirstOutParamName([in] BSTR bstrMethod, [out] BSTR *bstrName, [out] long *lPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(20), helpstring("method GetNextOutParamName")] HRESULT GetNextOutParamName([in] BSTR bstrMethod, [out] BSTR *bstrName, [in, out] long *lPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(21), helpstring("method GetHeaderElemType")] HRESULT GetHeaderElemType([in] BSTR bstrElemName, [in] BSTR bstrElemNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(22), helpstring("method GetDefinitionsTNS")] HRESULT GetDefinitionsTNS([out] BSTR *bstrTNS, [out, retval] VARIANT_BOOL *pResult);
	[id(23), helpstring("method SetUserAgent")] HRESULT SetUserAgent([in] BSTR bstrUserAgent, [out, retval] VARIANT_BOOL *pResult);
	[id(24), helpstring("method GetUserAgent")] HRESULT GetUserAgent([out] BSTR *bstrUserAgent, [out, retval] VARIANT_BOOL *pResult);
	[id(25), helpstring("method SetHTTPTimeout")] HRESULT SetHTTPTimeout([in] int nPeriod, [out, retval] VARIANT_BOOL *pResult);
	[id(26), helpstring("method SetHTTPHeaders")] HRESULT SetHTTPHeaders([in] BSTR bstrHeaders, [out, retval] VARIANT_BOOL *pResult);
	[id(27), helpstring("method GetStructMemberType")] HRESULT GetStructMemberType([in] BSTR bstrStructName, [in] BSTR bstrStructNS, [in] BSTR bstrMemberName, [in] BSTR bstrMemberNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(28), helpstring("method GetComplexBaseType")] HRESULT GetComplexBaseType([in] BSTR bstrName, [in] BSTR bstrNS, [out] BSTR *bstrBaseType, [out] BSTR *bstrBaseTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(29), helpstring("method GetArrayType")] HRESULT GetArrayType([in] BSTR bstrArrayName, [in] BSTR bstrArrayNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(30), helpstring("method GetInputHeaderPartType")] HRESULT GetInputHeaderPartType([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(31), helpstring("method GetOutputHeaderPartType")] HRESULT GetOutputHeaderPartType([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(32), helpstring("method GetInHeaderFaultPartType")] HRESULT GetInHeaderFaultPartType([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(33), helpstring("method GetOutHeaderFaultPartType")] HRESULT GetOutHeaderFaultPartType([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(34), helpstring("method GetFaultDetailPartType")] HRESULT GetFaultDetailPartType([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(35), helpstring("method GetArrayDims")] HRESULT GetArrayDims([in] BSTR bstrArrayName, [in] BSTR bstrArrayNS, [out] long *lDims, [out, retval] VARIANT_BOOL *pResult);
	[id(36), helpstring("method GetOperationReturnType")] HRESULT GetOperationReturnType([in] BSTR bstrMethod, [in] BSTR bstrPartName, [out] BSTR *bstrType, [out] BSTR *bstrTypeNS, [out, retval] VARIANT_BOOL *pResult);
	[id(37), helpstring("method GetOperationBindingStyle")] HRESULT GetOperationBindingStyle([in] BSTR bstrOpName, [out] BSTR *bstrStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(38), helpstring("method GetMethodParamIndex")] HRESULT GetMethodParamIndex([in] BSTR bstrMethod, [in] BSTR bstrParam, [out] long* lIndex, [out, retval] VARIANT_BOOL *pResult);
	[id(39), helpstring("method GetSOAPBindingVersion")] HRESULT GetSOAPBindingVersion([out] BSTR *bstrVersionURI, [out, retval] VARIANT_BOOL *pResult);
	[id(40), helpstring("method GetInputHeaderPartEncStyle")] HRESULT GetInputHeaderPartEncStyle([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrEncStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(41), helpstring("method GetOutputHeaderPartEncStyle")] HRESULT GetOutputHeaderPartEncStyle([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrEncStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(42), helpstring("method GetInHeaderFaultPartEncStyle")] HRESULT GetInHeaderFaultPartEncStyle([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrEncStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(43), helpstring("method GetOutHeaderFaultPartEncStyle")] HRESULT GetOutHeaderFaultPartEncStyle([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrEncStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(44), helpstring("method SOAPActionRequired")] HRESULT SOAPActionRequired([in] BSTR bstrOpName, [out] VARIANT_BOOL *bIsRequired, [out, retval] VARIANT_BOOL *pResult);
	[id(45), helpstring("method GetFaultDetailEncStyle")] HRESULT GetFaultDetailEncStyle([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrEncStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(46), helpstring("method GetFaultDetailUse")] HRESULT GetFaultDetailUse([in] BSTR bstrOpName, [in] BSTR bstrPartName, [in] BSTR bstrPartNS, [out] BSTR *bstrUse, [out, retval] VARIANT_BOOL *pResult);
	[id(47), helpstring("method GetArrayTypeLit")] HRESULT GetArrayTypeLit([in] BSTR bstrArrayName, [in] BSTR bstrArrayNS, [out] BSTR *bstrItemType, [out] BSTR *bstrItemTypeNS, [out] BSTR *bstrItemName, [out] BSTR *bstrItemNS, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(5AA4070A-E86F-434C-BF91-A8FE4D2BE88B),
	version(1.0),
	helpstring("wmwsdlclient 1.0 Type Library")
]
library wmwsdlclientLib
{
	importlib("stdole2.tlb");
	[
		uuid(5F03B454-7C04-4F78-8265-5EDB0D81B4E9),
		helpstring("wmwsdlclient2 Class")
	]
	coclass wmwsdlclient2
	{
		[default] interface Iwmwsdlclient2;
	};
};
